
package com.google.api.ads.adwords.jaxws.v201109.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DownloadFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="DownloadFormat">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="CSVFOREXCEL"/>
 *     &lt;enumeration value="CSV"/>
 *     &lt;enumeration value="TSV"/>
 *     &lt;enumeration value="XML"/>
 *     &lt;enumeration value="GZIPPED_CSV"/>
 *     &lt;enumeration value="GZIPPED_XML"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "DownloadFormat")
@XmlEnum
public enum DownloadFormat {


    /**
     * 
     *                 The format for Excel.  This uses a format of unicode which is prepended
     *                 with a BOM (byte order marker) to signal to Excel that it is unicode.
     *                 Excel defaults to use tab as a separator when unicode is being used.  If
     *                 comma is used then Excel will put all of the data in each row into a single
     *                 column (by default).
     *               
     * 
     */
    CSVFOREXCEL,

    /**
     * 
     *                 The csv(comma separated) output format.
     *               
     * 
     */
    CSV,

    /**
     * 
     *                 The tab separated value(tsv) output format.
     *               
     * 
     */
    TSV,

    /**
     * 
     *                 The xml output format.
     *               
     * 
     */
    XML,

    /**
     * 
     *                 The gzip compressed csv(comma separated value) output format.
     *               
     * 
     */
    GZIPPED_CSV,

    /**
     * 
     *                 The gzip compressed xml output format.
     *               
     * 
     */
    GZIPPED_XML;

    public String value() {
        return name();
    }

    public static DownloadFormat fromValue(String v) {
        return valueOf(v);
    }

}
