
package com.google.api.ads.adwords.jaxws.v201109.cm;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       Use this service to retrieve the geographic coordinates and the canonical
 *       form for a given address. The data returned by GeoLocationService is required
 *       for the following tasks:
 *       <ul>
 *       <li>Adding a <a
 *       href="CampaignAdExtensionService.LocationExtension.html">location
 *       extension</a> with CampaignAdExtensionService and
 *       AdExtensionOverrideService</li>
 *       <li>Adding a <a href="CampaignTargetService.PolygonTarget.html">polygon
 *       target</a> or <a href="CampaignTargetService.ProximityTarget.html">proximity
 *       target</a> with CampaignTargetService.</li>
 *       </ul>
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "GeoLocationServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201109")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface GeoLocationServiceInterface {


    /**
     * 
     *         Retrieves the geographic location information for the address specified.
     *         
     *         @param selector specifies the addresses.
     *         @return list of {@link GeoLocation} objects. Returns {@link InvalidGeoLocation} object if
     *         the address cannot be geocoded.
     *         @throws ApiException if problems occurred while retrieving the location information
     *       
     * 
     * @param selector
     * @return
     *     returns java.util.List<com.google.api.ads.adwords.jaxws.v201109.cm.GeoLocation>
     * @throws ApiException_Exception
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201109")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201109", className = "com.google.api.ads.adwords.jaxws.v201109.cm.GeoLocationServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201109", className = "com.google.api.ads.adwords.jaxws.v201109.cm.GeoLocationServiceInterfacegetResponse")
    public List<GeoLocation> get(
        @WebParam(name = "selector", targetNamespace = "https://adwords.google.com/api/adwords/cm/v201109")
        GeoLocationSelector selector)
        throws ApiException_Exception
    ;

}
