
package com.google.api.ads.adwords.jaxws.v201109.cm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             User list targeting as a collection of conversion types.
 *             
 *             {@link RemarketingUserList} can be created in the following ways :
 *             <ul>
 *             <li> Using a single conversion type name: The service will create a new {@link ConversionType}
 *             and associate it with the {@link RemarketingUserList}.
 *             </li>
 *             <li> Using one or many existing conversion type Ids: The service will associate the
 *             conversion types with the {@link RemarketingUserList}.
 *             The Id of the {@link ConversionType} can be obtained using
 *             {@link ConversionTrackerService}.
 *             </li>
 *             </ul>
 *           
 * 
 * <p>Java class for RemarketingUserList complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RemarketingUserList">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201109}UserList">
 *       &lt;sequence>
 *         &lt;element name="conversionTypes" type="{https://adwords.google.com/api/adwords/cm/v201109}UserListConversionType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RemarketingUserList", propOrder = {
    "conversionTypes"
})
public class RemarketingUserList
    extends UserList
{

    protected List<UserListConversionType> conversionTypes;

    /**
     * Gets the value of the conversionTypes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the conversionTypes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getConversionTypes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link UserListConversionType }
     * 
     * 
     */
    public List<UserListConversionType> getConversionTypes() {
        if (conversionTypes == null) {
            conversionTypes = new ArrayList<UserListConversionType>();
        }
        return this.conversionTypes;
    }

}
