
package com.google.api.ads.adwords.jaxws.v201109.mcm;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       Use this service to retrieve accounts managed (directly or indirectly) by
 *       your MCC account. The returned {@linkplain ServicedAccountGraph serviced
 *       account graph} contains a list of all managed accounts
 *       and a list of links, where each {@linkplain Link link} describes the
 *       relationship between two accounts.
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "ServicedAccountServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201109")
@XmlSeeAlso({
    com.google.api.ads.adwords.jaxws.v201109.mcm.ObjectFactory.class,
    com.google.api.ads.adwords.jaxws.v201109.cm.ObjectFactory.class
})
public interface ServicedAccountServiceInterface {


    /**
     * 
     *         Returns a representation of the managed-account relationships related to this account.
     *         
     *         @param selector determines which accounts and links to retrieve
     *         @return the selected list of accounts and serviced account links between them
     *         @throws ApiException if an error occurs
     *       
     * 
     * @param selector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201109.mcm.ServicedAccountGraph
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201109")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201109", className = "com.google.api.ads.adwords.jaxws.v201109.mcm.ServicedAccountServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201109", className = "com.google.api.ads.adwords.jaxws.v201109.mcm.ServicedAccountServiceInterfacegetResponse")
    public ServicedAccountGraph get(
        @WebParam(name = "selector", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201109")
        ServicedAccountSelector selector)
        throws ApiException
    ;

}
