
package com.google.api.ads.adwords.jaxws.v201206.o;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       Use this service to request traffic estimates for proposed or existing campaigns, ad
 *       groups, and keywords.
 *       
 *       <p>
 *       To simply retrieve estimates for a list of proposed keywords, create a
 *       {@linkplain CampaignEstimateRequest campaign estimate request} and a child
 *       {@linkplain AdGroupEstimateRequest ad group estimate request} with {@code null} IDs,
 *       and then set the
 *       {@link AdGroupEstimateRequest#keywordEstimateRequests keywordEstimateRequests}
 *       to contain the keywords.
 *       
 *       <p>You can refine the traffic estimates by setting
 *       {@linkplain CampaignEstimateRequest#targets campaign targeting options} in the request.
 *       
 *       <p>The maximum number of {@linkplain KeywordEstimateRequest keyword estimate
 *       requests} across all campaign estimate requests and
 *       ad group estimate requests is 500.
 *       
 *       <p>The maximum number of {@linkplain AdGroupEstimateRequest adgroup estimate
 *       requests} across all campaign estimate requests is 50.
 *       <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "TrafficEstimatorServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/o/v201206")
@XmlSeeAlso({
    com.google.api.ads.adwords.jaxws.v201206.cm.ObjectFactory.class,
    com.google.api.ads.adwords.jaxws.v201206.o.ObjectFactory.class
})
public interface TrafficEstimatorServiceInterface {


    /**
     * 
     *         Returns traffic estimates for specified criteria.
     *         
     *         @param selector Campaigns, ad groups and keywords for which traffic
     *         should be estimated.
     *         @return Traffic estimation results.
     *         @throws ApiException if problems occurred while retrieving estimates
     *       
     * 
     * @param selector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201206.o.TrafficEstimatorResult
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/o/v201206")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/o/v201206", className = "com.google.api.ads.adwords.jaxws.v201206.o.TrafficEstimatorServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/o/v201206", className = "com.google.api.ads.adwords.jaxws.v201206.o.TrafficEstimatorServiceInterfacegetResponse")
    public TrafficEstimatorResult get(
        @WebParam(name = "selector", targetNamespace = "https://adwords.google.com/api/adwords/o/v201206")
        TrafficEstimatorSelector selector)
        throws ApiException
    ;

}
